package pobyty.akce.referentcast;

import java.io.IOException;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.stranky.referentcast.klient.TabKlient;

public class NextKlientAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        String fi = getParameter("fromIndex");
        int fromIndex = 0;
        if (fi != null) {
            fromIndex = Integer.parseInt(fi);
        }
        TabKlient page = (TabKlient) createPageBean("/referentcast/klient/TabKlient.xhtml");
        if (fromIndex + TabKlient.CLIENT_COUNT < Facade.getInstance().klienti().size()) {
            fromIndex += TabKlient.CLIENT_COUNT;
        }
        page.putItem("fromIndex", fromIndex);
        forward(page);
    }
}
