package pobyty.akce.referentcast.klient;

import java.io.IOException;
import javax.servlet.ServletException;
import org.smp.SmpException;
import org.smp.pages.Page;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.PobytyIntegrityException;
import pobyty.model.klient.KlientId;

public class SmazKlientAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        KlientId klientId = new KlientId(getParameter("klientId"));
        try {
            Facade.getInstance().deleteKlient(klientId);
            redirect("/referentcast/klient/TabKlient.xhtml");
        } catch (PobytyIntegrityException ex) {
            Page page = createPageBean("/referentcast/klient/DeleteKlient.xhtml");
            page.putItem("smazError", "Klient má podanou přihlášku.");
            forward(page);
        }
    }
}
