package pobyty.business;

import java.util.List;
import org.smp.SmpException;
import pobyty.model.Jmeno;
import pobyty.model.Prijmeni;
import pobyty.model.uzivatel.Heslo;
import pobyty.model.uzivatel.RoleUzivatele;
import pobyty.model.uzivatel.Username;
import pobyty.model.uzivatel.Uzivatel;

public interface UzivatelDAO {

    void add(Username username, Prijmeni prijmeni, Jmeno jmeno, RoleUzivatele roleUzivatele, Heslo heslo) throws SmpException;

    Uzivatel find(Username username) throws SmpException;

    public List<Uzivatel> all() throws SmpException;

    void update(Username username, Heslo heslo) throws SmpException;

    void delete(Username username) throws SmpException;
}
