package pobyty.stranky.referentcast.turnus;

import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.turnus.Cena;
import pobyty.model.turnus.Kapacita;
import pobyty.model.turnus.Lokalita;
import pobyty.model.turnus.Turnus;
import pobyty.model.turnus.TurnusId;
import pobyty.model.turnus.Zkratka;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class AddTurnus extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        if (AbstrReferentStranka.DEBUG) {
            pushBean(new Turnus(new TurnusId(0),
                    Datum.validate("6.6.2013"),
                    Datum.validate("6.6.2013"),
                    Lokalita.validate("lok"),
                    Cena.validate("2000"),
                    Kapacita.validate("300"),
                    Zkratka.validate("zk")));
        }
    }
}
