package pobyty.stranky.referentcast.turnus.skupina;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.skupina.VekKlientu;
import pobyty.model.turnus.Turnus;
import pobyty.model.turnus.TurnusId;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class AddSkupina extends AbstrReferentStranka {

    public VekKlientu getKapacita() {
        return new VekKlientu(20);
    }

    @Override
    public void createContent() throws SmpException {
        TurnusId turnusId = new TurnusId(getIntParameter("turnusId"));
        Turnus turnus = Facade.getInstance().findTurnus(turnusId);
        this.putItem("turnusId", turnusId);
        this.putItem("zkratka", turnus.getZkratka());
    }
}
