package pobyty.stranky.referentcast.turnus.skupina;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.skupina.Skupina;
import pobyty.model.skupina.SkupinaId;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class DeleteSkupina extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        SkupinaId skupinaId = new SkupinaId(getIntParameter("skupinaId"));
        Skupina skupina = Facade.getInstance().findSkupina(skupinaId);
        putItem("skupinaId", skupinaId);
        putItem("skupina", skupina.toString());
        putItem("doprovod", skupina.getDoprovod().toString());
        this.putItem("turnusId", skupina.getTurnusId());
        this.putItem("klientiSkupiny", Facade.getInstance().klientiSkupiny(skupinaId));
    }
}
