package pobyty.stranky.referentcast.turnus.skupina;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.turnus.Turnus;
import pobyty.model.turnus.TurnusId;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class TabSkupina extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        TurnusId turnusId = new TurnusId(getIntParameter("turnusId"));
        Turnus turnus = Facade.getInstance().findTurnus(turnusId);
        putItem("turnusId", turnusId);
        putItem("zkratka", turnus.getZkratka());
        putItem("skupinyTurnusu", Facade.getInstance().getSkupinyTurnusu(turnusId));
    }
}
