package pobyty;

import java.io.IOException;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Parametry {

    private static Parametry instance;
    Properties parametry;

    private Parametry() {
        try {
            parametry = new Properties();
            parametry.load(Parametry.class.getResourceAsStream("Parametry.properties"));
        } catch (IOException ex) {
            Logger.getLogger(Parametry.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    /**
     * @return the instance
     */
    public static Parametry getInstance() {
        if (instance == null) {
            instance = new Parametry();
        }
        return instance;
    }

    public String getParameter(String key) {
        return parametry.getProperty(key, key);
    }
}
