package pobyty.business;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.validation.ValidationException;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;

public class DoprovodyInit {

    public static void init() {
        try {
            //5
            putDoprovod("Nouzovský", "Jan", "1.12.1990",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Bor", "Ladislav", "20.11.1989",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Křížek", "František", "10.5.1988",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Hrášek", "Karel", "5.5.1987",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Jandák", "Jan", "18.9.1986",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");
            //10
            putDoprovod("Borová", "Lada", "24.4.1985",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Haklová", "Nina", "15.7.1984",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Tvrdíková", "Isabela", "2.6.1983",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Fikejsová", "Jana", "18.2.1982",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Rouleová", "Darina", "6.12.1981",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");
            //15
            putDoprovod("Krauz", "Martin", "19.11.1980",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Franz", "Dan", "5.2.1979",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Strach", "Jiří", "7.10.1978",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Rychlý", "Pavel", "22.5.1977",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Toman", "Tomáš", "9.1.1976",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");
            //20
            putDoprovod("Staňková", "Stanislava", "16.6.1975",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Tatrová", "Barbora", "21.9.1974",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Janíková", "Iva", "17.12.1973",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Rysová", "Pavla", "25.10.1972",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Kuželková", "Marie", "27.2.1971",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");
            //25
            putDoprovod("Herout", "Kristián", "23.5.1970",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Coufal", "Cyril", "18.10.1969",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Fikejz", "Ivan", "15.4.1968",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Bačina", "Tomáš", "7.1.1967",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Myšák", "Ivo", "30.8.1966",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");
            //30
            putDoprovod("Stolová", "Hermína", "29.1.1965",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Zezulová", "Karla", "11.3.1964",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Macháčková", "Anna", "18.6.1963",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Tišnovská", "Jarmila", "14.7.1962",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Víchová", "Nina", "3.12.1961",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");

            putDoprovod("Tautman", "Leoš", "3.1.1965",
                    "mejl@aa", "Nová 25", "12345",
                    "Praha", "765432123");
        } catch (SmpException ex) {
            Logger.getLogger(DoprovodyInit.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    private static void putDoprovod(String prijmeni, String jmeno, String narozeni,
            String mejl, String ulice, String psc, String mesto, String telefon) throws SmpException, ValidationException {

        Facade.getInstance().addDoprovod(Prijmeni.validate(prijmeni),
                Jmeno.validate(jmeno),
                Datum.validate(narozeni),
                Mejl.validate(mejl),
                Ulice.validate(ulice),
                Psc.validate(psc),
                Mesto.validate(mesto),
                Telefon.validate(telefon));
    }
}
