package pobyty.model.turnus;

import org.smp.ValidationException;
import pobyty.model.AbstrId;

public class TurnusId extends AbstrId {

    public static String colName() {
        return TurnusId.class.getSimpleName();
    }

    public static TurnusId validate(String idStr) throws ValidationException {
        TurnusId turnusId = new TurnusId(validateId(idStr));
        if (turnusId.getAbstrtId() == 0) {
            throw new ValidationException("Vyberte turnus.");
        }
        return turnusId;
    }

    public TurnusId(int id) {
        super(id);
    }
}
