package pobyty.stranky.referentcast.prihlaska;

import java.util.ArrayList;
import java.util.List;
import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.PrihlaskaKlient;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class TabPrihlaska extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        List<PrihlaskaKlient> pkList = Facade.getInstance().prihlaskaKlientJoin();
        String filtrZkratka = getParameter("filtrZkratka");
        if (filtrZkratka != null && !filtrZkratka.trim().isEmpty()) {
            putItem("filtrZkratka", filtrZkratka);
            List<PrihlaskaKlient> pkFiltr = new ArrayList<>();
            for (PrihlaskaKlient pk : pkList) {
                if (pk.getZkratka().getZkratka().indexOf(filtrZkratka) >= 0) {
                    pkFiltr.add(pk);
                }
            }
            pkList = pkFiltr;
        }
        String by = getParameter("by");
        sortOsobaAdresa(pkList, by);
        putItem("prihlasky", pkList);
    }
}
