package pobyty.stranky.referentcast.turnus.skupina;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.skupina.Skupina;
import pobyty.model.skupina.SkupinaId;
import pobyty.model.turnus.Turnus;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class EditDoprovodSkupiny extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        SkupinaId skupinaId = new SkupinaId(getIntParameter("skupinaId"));
        Skupina skupina = Facade.getInstance().findSkupina(skupinaId);
        Turnus turnus = skupina.getTurnus();
        putItem("skupina", skupina.toString());
        putItem("skupinaId", skupina.getSkupinaId());
        putItem("turnus", turnus.toString());
        putItem("doprovod", skupina.getDoprovod().toString());
        putItem("turnusId", turnus.getTurnusId());
    }
}
